{% extends 'user.html.twig' %}

{% block title %}Gérer les cours{% endblock %}

{% block body %}

	<h1>Gérer les formations</h1>
    <a href="{{ path("admin_formation_ajout") }}" class="btn btn-outline-primary float-right d-md-block">+</a>
	<table class="table striped centered">
		<thead>
			<tr>
				<th class="text-center">Nom de la formation</th>
                <th class="text-center">Age</th>
                <th class="text-center">Nombre de stagiaires min</th>
                <th class="text-center">Nombre de stagiaires max</th>
				<th class="text-center">Nombre de formateurs</th>
				<th class="text-center">Actions</th>
			</tr>
		</thead>
		<tbody>
        {% for formation in formations %}
			<tr>
				<td class="text-center">{{formation.libelleFormation}}</td>
				<td class="text-center">{{formation.age}}</td>
				<td class="text-center">{{formation.nbMinStagiaire}}</td>
                <td class="text-center">{{formation.nbMaxStagiaire}}</td>
                <td class="text-center">{{formation.nbFormateur}}</td>
				<td class="text-center">
					<a href="{{ path("admin_formation_show", {id:formation.id}) }}" class="btn blue"><i class="bi bi-eye"></i></a>
                    <a href="{{ path("admin_formation_edit", {id: formation.id}) }}" class="btn blue"><i class="bi bi-pencil-square"></i></a>
					<a href="{{ path("admin_formation_supprimer", {id: formation.id}) }}" class="btn primary press modal-trigger" ><i class="bi bi-trash"></i></a>
					
				</td>
			</tr>
        {% endfor %}
		</tbody>
	</table>
{% endblock %}

{% block javascripts %}
	<script>
		window.onload = () => {
			let activer = document.querySelectorAll("[type=checkbox]")
			for (let bouton of activer) {
				bouton.addEventListener("click", function () {
					let xmlhttp = new XMLHttpRequest;
					xmlhttp.open("get", `/admin/formation/valider/${this.dataset.id}`)
					xmlhttp.send()
				})
			}
		}
	</script>
{% endblock %}
